#### D.15.2.13 piecewiseJet

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  piecewiseJet(f,w,d); f poly, w a piecewise weight given by a list, which can be computed using @ref(piecewiseWeightOfPolygon), d int

Return:
  the piecewise d-jet of f, with regard to the weight w

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    list NP = newtonPolygon(f);
    list w = piecewiseWeightOfPolygon(NP);
    int d =piecewiseOrd(f,w);
    piecewiseJet(f,w,d);
    ==> x4y2+x2y4+y8+x9

User manual for Singular version 4.4.1, 2025, generated by texi2html.